## golang-k8s-sigs-kustomize-cmd-config 0.20.1+ds

=== cmd/config/Makefile ===
# Copyright 2019 The Kubernetes Authors.
# SPDX-License-Identifier: Apache-2.0

.PHONY: generate fix vet fmt test build tidy clean

MYGOBIN = $(shell go env GOBIN)
ifeq ($(MYGOBIN),)
MYGOBIN = $(shell go env GOPATH)/bin
endif
export PATH := $(MYGOBIN):$(PATH)

include ../../Makefile-tools.mk

$(MYGOBIN)/k8scopy:
	( cd ../k8scopy; go install . )

build:
	go build -v -o $(MYGOBIN)/kubectl-krm ./kubectl-krm

all: build fix vet fmt test lint tidy

k8sGenDir := internal/commands/internal/k8sgen/pkg

generate: $(MYGOBIN)/mdtogo $(MYGOBIN)/k8scopy
	GOBIN="${MYGOBIN}" go generate ./...

clean:
	rm -rf $(k8sGenDir)

lint: $(MYGOBIN)/golangci-lint
	$(MYGOBIN)/golangci-lint \
	  --skip-dirs $(k8sGenDir) \
	  run ./... \
	  --path-prefix=cmd/config \
	  -c ../../.golangci.yml

test:
	go test -v -timeout 45m -cover ./...

fix:
	go fix ./...

fmt:
	go fmt ./...

tidy:
	go mod tidy

vet:
	go vet ./...

=== cmd/config/internal/commands/e2e/e2econtainerconfig/Makefile ===
# Copyright 2019 The Kubernetes Authors.
# SPDX-License-Identifier: Apache-2.0

include ../../../../../../Makefile-modules.mk

.PHONY: image
image:
	docker build . -t gcr.io/kustomize-functions/e2econtainerconfig
	docker push gcr.io/kustomize-functions/e2econtainerconfig

=== cmd/config/internal/commands/e2e/e2econtainerenvgenerator/Makefile ===
# Copyright 2019 The Kubernetes Authors.
# SPDX-License-Identifier: Apache-2.0

include ../../../../../../Makefile-modules.mk

.PHONY: image
image:
	docker build . -t gcr.io/kustomize-functions/e2econtainerenvgenerator
	docker push gcr.io/kustomize-functions/e2econtainerenvgenerator

=== cmd/config/internal/commands/e2e/e2econtainermountbind/Makefile ===
# Copyright 2019 The Kubernetes Authors.
# SPDX-License-Identifier: Apache-2.0

include ../../../../../../Makefile-modules.mk

.PHONY: image
image:
	docker build . -t gcr.io/kustomize-functions/e2econtainermountbind
	docker push gcr.io/kustomize-functions/e2econtainermountbind

=== cmd/config/internal/commands/e2e/e2econtainersimplegenerator/Makefile ===
# Copyright 2019 The Kubernetes Authors.
# SPDX-License-Identifier: Apache-2.0

include ../../../../../../Makefile-modules.mk

.PHONY: image
image:
	docker build . -t gcr.io/kustomize-functions/e2econtainersimplegenerator
	docker push gcr.io/kustomize-functions/e2econtainersimplegenerator

## golang-k8s-sigs-kustomize-cmd-config 0.15.0+ds

=== debian/changelog ===
golang-k8s-sigs-kustomize-cmd-config (0.15.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1090323)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 16 Dec 2024 18:54:48 +0000

=== debian/control ===
Source: golang-k8s-sigs-kustomize-cmd-config
Section: golang
Priority: optional
Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-go-errors-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev,
               golang-gopkg-inf.v0-dev,
               golang-k8s-sigs-kustomize-kyaml-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-sigs-kustomize-cmd-config
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-sigs-kustomize-cmd-config.git
Homepage: https://github.com/kubernetes-sigs/kustomize
XS-Go-Import-Path: sigs.k8s.io/kustomize

Package: golang-k8s-sigs-kustomize-cmd-config-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-go-errors-errors-dev,
         golang-github-spf13-cobra-dev,
         golang-github-stretchr-testify-dev,
         golang-gopkg-inf.v0-dev,
         golang-k8s-sigs-kustomize-kyaml-dev,
         ${misc:Depends}
Description: Utilities for managing Kubernetes configurations (library)
 Provides command-line utilities for manipulating Kubernetes resource
 manifests, supporting operations like validation, transformation, and
 generation of configuration files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_configure:
	# dh_auto_configure first copies source files to the build root, then
	# symlinks libraries from /usr/share/gocode/src.
	# The dependency symlink will NOT occur when the library package uses the
	# same XS-Go-Import-Path (DH_GOPKG) as the source package and ship files
	# under the same GOPATH, causing problems in dh_auto_build due to lack of
	# installed libraries.
	# dh_auto_configure: warning: "sigs.k8s.io/kustomize" is already installed.
	# https://salsa.debian.org/go-team/packages/dh-golang/-/blob/81892fe8d3a51a22c910a649052669dd9f18837e/lib/Debian/Debhelper/Buildsystem/golang.pm#L495
	ln -vs /usr/share/gocode/src/sigs.k8s.io/kustomize/kyaml $(CURDIR)/_build/src/sigs.k8s.io/kustomize/kyaml

execute_before_dh_auto_test:
	# Remove test files that depends on docker
	find _build/src/sigs.k8s.io/kustomize/cmd/config/internal/commands/e2e -name "e2e_test.go" -delete
	find _build/src/sigs.k8s.io/kustomize/cmd/config/internal/commands/e2e -name "test_util_test.go" -delete

override_dh_auto_install:
	dh_auto_install -- --no-binaries

## golang-k8s-sigs-kustomize-cmd-config 0.19.0+ds

=== debian/changelog ===
golang-k8s-sigs-kustomize-cmd-config (0.19.0+ds-1) unstable; urgency=medium

  * New upstream version 0.19.0+ds
  * d/control: Bump Standards-Version to 4.7.2, no changes
  * d/gitlab-ci.yml: Remove pipeline from go team
  * d/salsa-ci.yml: Add Salsa CI default pipeline

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 24 Mar 2025 17:57:16 +0000

golang-k8s-sigs-kustomize-cmd-config (0.15.0+ds-2) unstable; urgency=medium

  * Source-only upload for migration
  * d/control: Fix Vcs Browser and Git URLs
  * d/copyright: Update debian copyright year to 2025
  * d/rules: Remove trailing-whitespace

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 28 Jan 2025 23:49:42 +0000

## golang-k8s-sigs-kustomize-cmd-config 0.20.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                golang-gopkg-inf.v0-dev,
                golang-k8s-sigs-kustomize-kyaml-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-sigs-kustomize-cmd-config
-Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-sigs-kustomize-cmd-config.git
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/golang-k8s-sigs-kustomize-cmd-config
+Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/golang-k8s-sigs-kustomize-cmd-config.git
 Homepage: https://github.com/kubernetes-sigs/kustomize
 XS-Go-Import-Path: sigs.k8s.io/kustomize

=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,3 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --no-binaries
-

## golang-k8s-sigs-kustomize-cmd-config 0.20.1+ds

=== debian/changelog ===
golang-k8s-sigs-kustomize-cmd-config (0.20.1+ds-1) unstable; urgency=medium

  * New upstream version 0.20.1+ds

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 11 Aug 2025 22:39:20 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      repacksuffix=+ds,dversionmangle=s/\+ds//,repack,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/kubernetes-sigs/kustomize/tags .*cmd/config/v?(\d\S*)\.tar\.gz debian

## golang-k8s-sigs-kustomize-cmd-config 0.21.0+ds

=== debian/changelog ===
golang-k8s-sigs-kustomize-cmd-config (0.21.0+ds-1) unstable; urgency=medium

  * New upstream version 0.21.0+ds
  * d/rules: Move test file removal to execute_after_dh_auto_build
    - Closes: #1122021

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 19 Dec 2025 01:16:49 +0000

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	# https://salsa.debian.org/go-team/packages/dh-golang/-/blob/81892fe8d3a51a22c910a649052669dd9f18837e/lib/Debian/Debhelper/Buildsystem/golang.pm#L495
 	ln -vs /usr/share/gocode/src/sigs.k8s.io/kustomize/kyaml $(CURDIR)/_build/src/sigs.k8s.io/kustomize/kyaml
 
-execute_before_dh_auto_test:
+execute_after_dh_auto_build:
 	# Remove test files that depends on docker
 	find _build/src/sigs.k8s.io/kustomize/cmd/config/internal/commands/e2e -name "e2e_test.go" -delete
 	find _build/src/sigs.k8s.io/kustomize/cmd/config/internal/commands/e2e -name "test_util_test.go" -delete
